lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Erick Erickson <erickerick...@gmail.com>
Subject Re: Problems while searching in default field
Date Fri, 23 Dec 2011 15:36:22 GMT
I don't think you understand how patches work for this project. These
are *source* patches, there's no process for "applying a patch to a
war file".

You have to check out the source, apply the patch to the source
then execute an ant task to make your distro.

I doubt you'll be able to apply it to a 1.4 war. Ahmet's pointing you to
the relevant pages.

But this patch has already been applied to both trunk and the current
3.x version, so either should do.

Best
Erick

On Fri, Dec 23, 2011 at 8:42 AM, Ahmet Arslan <iorixxx@yahoo.com> wrote:
>> In case I need to apply just this
>> patch(https://issues.apache.org/jira/browse/SOLR-2438) alone
>> in my current
>> version, will it be possible for me to do it? Like say,
>> take the current
>> solr.war deployed in unix server alone and then apply the
>> patch .
>
> I am not sure whether SOLR-2438 is applicable to solr 1.4.0.
>
> If you could, I think, solr version upgrade will be a cleaner solution.
>
> http://wiki.apache.org/solr/HowToContribute#Getting_the_source_code
>
> svn checkout http://svn.apache.org/repos/asf/lucene/dev/trunk
>

Mime
View raw message